Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.metadata
Class IEssDimension.EEssDimensionStorageCategory

    java.lang.Object
      com.essbase.api.metadata.IEssDimension.EEssDimensionStorageCategory

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssDimension

public static final class IEssDimension.EEssDimensionStorageCategory
extends java.lang.Object
implements IEssEnum

EEssDimensionStorageCategory class is the Dimension storage category. This is valid only for dimensions and attribute members. Optimizes the storage types of dimensions when the outline is configured for automatic optimization.

Field Summary
`static IEssDimension.EEssDimensionStorageCategory` | `ACCOUNTS`
`static int` | `ACCOUNTS_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `ATTRCALC`
`static int` | `ATTRCALC_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `ATTRIBUTE`
`static int` | `ATTRIBUTE_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `BUSUNIT`
`static int` | `BUSUNIT_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `CUSTOMER`
`static int` | `CUSTOMER_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `DIST`
`static int` | `DIST_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `GEOG`
`static int` | `GEOG_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `MARKET`
`static int` | `MARKET_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `ORGAN`
`static int` | `ORGAN_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `OTHER`
`static int` | `OTHER_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `PRODUCT`
`static int` | `PRODUCT_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `SCENARIO`
`static int` | `SCENARIO_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `TIME`
`static int` | `TIME_INT_VALUE`
`static IEssDimension.EEssDimensionStorageCategory` | `UNITS`
`static int` | `UNITS_INT_VALUE`

Constructor Summary
`IEssDimension.EEssDimensionStorageCategory()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssDimension.EEssDimensionStorageCategory` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssDimension.EEssDimensionStorageCategory` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssDimension.EEssDimensionStorageCategory[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OTHER

    public static final IEssDimension.EEssDimensionStorageCategory OTHER

### TIME

    public static final IEssDimension.EEssDimensionStorageCategory TIME

### UNITS

    public static final IEssDimension.EEssDimensionStorageCategory UNITS

### SCENARIO

    public static final IEssDimension.EEssDimensionStorageCategory SCENARIO

### ACCOUNTS

    public static final IEssDimension.EEssDimensionStorageCategory ACCOUNTS

### PRODUCT

    public static final IEssDimension.EEssDimensionStorageCategory PRODUCT

### ORGAN

    public static final IEssDimension.EEssDimensionStorageCategory ORGAN

### MARKET

    public static final IEssDimension.EEssDimensionStorageCategory MARKET

### CUSTOMER

    public static final IEssDimension.EEssDimensionStorageCategory CUSTOMER

### DIST

    public static final IEssDimension.EEssDimensionStorageCategory DIST

### BUSUNIT

    public static final IEssDimension.EEssDimensionStorageCategory BUSUNIT

### GEOG

    public static final IEssDimension.EEssDimensionStorageCategory GEOG

### ATTRIBUTE

    public static final IEssDimension.EEssDimensionStorageCategory ATTRIBUTE

### ATTRCALC

    public static final IEssDimension.EEssDimensionStorageCategory ATTRCALC

### OTHER_INT_VALUE

    public static final int OTHER_INT_VALUE

See Also:
  Constant Field Values

### TIME_INT_VALUE

    public static final int TIME_INT_VALUE

See Also:
  Constant Field Values

### UNITS_INT_VALUE

    public static final int UNITS_INT_VALUE

See Also:
  Constant Field Values

### SCENARIO_INT_VALUE

    public static final int SCENARIO_INT_VALUE

See Also:
  Constant Field Values

### ACCOUNTS_INT_VALUE

    public static final int ACCOUNTS_INT_VALUE

See Also:
  Constant Field Values

### PRODUCT_INT_VALUE

    public static final int PRODUCT_INT_VALUE

See Also:
  Constant Field Values

### ORGAN_INT_VALUE

    public static final int ORGAN_INT_VALUE

See Also:
  Constant Field Values

### MARKET_INT_VALUE

    public static final int MARKET_INT_VALUE

See Also:
  Constant Field Values

### CUSTOMER_INT_VALUE

    public static final int CUSTOMER_INT_VALUE

See Also:
  Constant Field Values

### DIST_INT_VALUE

    public static final int DIST_INT_VALUE

See Also:
  Constant Field Values

### BUSUNIT_INT_VALUE

    public static final int BUSUNIT_INT_VALUE

See Also:
  Constant Field Values

### GEOG_INT_VALUE

    public static final int GEOG_INT_VALUE

See Also:
  Constant Field Values

### ATTRIBUTE_INT_VALUE

    public static final int ATTRIBUTE_INT_VALUE

See Also:
  Constant Field Values

### ATTRCALC_INT_VALUE

    public static final int ATTRCALC_INT_VALUE

See Also:
  Constant Field Values

Constructor Detail

### IEssDimension.EEssDimensionStorageCategory

    public IEssDimension.EEssDimensionStorageCategory()

Method Detail

### sm_fromString

    public static IEssDimension.EEssDimensionStorageCategory sm_fromString(java.lang.String strValue)
                                                                    throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssDimension.EEssDimensionStorageCategory sm_fromInt(int intValue)
                                                                 throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssDimension.EEssDimensionStorageCategory[] sm_values()
                                                                  throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD